## python-oslo.policy 4.6.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

requests>=2.14.2 # Apache-2.0
oslo.config>=6.0.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization>=2.18.0 # Apache-2.0
PyYAML>=5.1 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.utils>=3.40.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-oslo.policy (4.6.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 12 Sep 2025 15:56:14 -0700

=== debian/control ===
Source: python-oslo.policy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:6.0.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.40.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:2.0.1),
 python3-yaml (>= 5.1),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.policy
Homepage: https://opendev.org/openstack/oslo.policy

Package: python-oslo.policy-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: RBAC policy enforcement library for OpenStack - doc
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the documentation.

Package: python3-oslo.policy
Architecture: all
Depends:
 python3-oslo.config (>= 1:6.0.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-requests (>= 2.14.2),
 python3-stevedore (>= 1:2.0.1),
 python3-oslo.utils (>= 3.40.0),
 python3-yaml (>= 5.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.policy-doc,
Description: RBAC policy enforcement library for OpenStack - Python 3.x
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oslo_policy

UPSTREAM_GIT := https://opendev.org/openstack/oslo.policy.git

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_policy\.tests\.(?!(.*test_fixtures\.FixtureTestCase\.test_enforce_http_true.*|.*test_fixtures\.FixtureTestCase\.test_enforce_https_true.*|.*test_policy\.EnforcerTest\.test_enforcer_understands_domain_scope.*|.*test_policy\.EnforcerTest\.test_enforcer_raises_invalid_scope_with_project_scope_type.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.policy-doc/usr/share/doc/python-oslo.policy-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/oslo.policy/ oslo.policy-(\d.*)\.tar\.gz

## python-oslo.policy 4.8.0

=== debian/changelog ===
python-oslo.policy (4.8.0-0ubuntu2) resolute; urgency=medium

  * d/tests/python-import: Update autopkgtest to no longer use setup.py file.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 28 Jan 2026 10:28:27 -0800

python-oslo.policy (4.8.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 4.8.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Sat, 17 Jan 2026 19:26:59 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.policy/ oslo[._]policy-(\d.*)\.tar\.gz

## python-oslo.policy 5.0.0

=== debian/changelog ===
python-oslo.policy (5.0.0-2) experimental; urgency=medium

  * Fixed min version of stevedore.
  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 12:08:59 +0100

python-oslo.policy (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 08:54:19 +0100

python-oslo.policy (4.6.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046302).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 16:51:02 +0100

python-oslo.policy (4.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:15:49 +0200

python-oslo.policy (4.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 16:55:22 +0200

python-oslo.policy (4.5.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:07:02 +0100

python-oslo.policy (4.5.1-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 15:44:17 +0100

python-oslo.policy (4.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 17:18:09 +0100

=== debian/control ===
Source: python-oslo.policy
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore (>= 5.7.0),
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.policy
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.policy.git
Homepage: https://github.com/openstack/oslo.policy

Package: python-oslo.policy-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: RBAC policy enforcement library for OpenStack - doc
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the documentation.

Package: python3-oslo.policy
Architecture: all
Depends:
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-requests,
 python3-stevedore (>= 5.7.0),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.policy-doc,
Description: RBAC policy enforcement library for OpenStack - Python 3.x
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the Python 3.x module.
